ScXMLExprDataObj(3)

NAME
ScXMLExprDataObj

SYNOPSIS

Inherits ScXMLDataObj.

Inherited by ScXMLAddOpExprDataObj, ScXMLAndOpExprDataObj, ScXMLAppendOpExprDataObj, ScXMLCoinLengthFuncExprDataObj, ScXMLDivideOpExprDataObj, ScXMLEqualsOpExprDataObj, ScXMLMinimumExprDataObj, ScXMLMultiplyOpExprDataObj, ScXMLNegateOpExprDataObj, ScXMLNotOpExprDataObj, ScXMLOrOpExprDataObj, ScXMLReferenceDataObj, and ScXMLSubtractOpExprDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
ScXMLDataObj * evaluate (ScXMLStateMachine *sm)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)

  Protected Member Functions
virtual SbBool evaluateNow (ScXMLStateMachine *sm, ScXMLDataObj *&pointer) const =0

  Additional Inherited Members

Member Function Documentation

  virtual SoType ScXMLExprDataObj::getTypeId (void) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLDataObj.

Implemented in ScXMLCoinEqualsOpExprDataObj, ScXMLCoinAddOpExprDataObj, ScXMLCoinSubtractOpExprDataObj, ScXMLCoinMultiplyOpExprDataObj, ScXMLCoinDivideOpExprDataObj, ScXMLCoinLengthFuncExprDataObj, ScXMLReferenceDataObj, ScXMLAndOpExprDataObj, ScXMLOrOpExprDataObj, ScXMLNotOpExprDataObj, ScXMLEqualsOpExprDataObj, ScXMLAddOpExprDataObj, ScXMLSubtractOpExprDataObj, ScXMLMultiplyOpExprDataObj, ScXMLDivideOpExprDataObj, ScXMLNegateOpExprDataObj, ScXMLInExprDataObj, ScXMLAppendOpExprDataObj, and ScXMLMinimumExprDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.